%define anolis_release 1

Name:           python-pdm-pep517
Version:        1.0.5
Release:        %{anolis_release}%{?dist}
Summary:        Yet another PEP 517 backend

License:        MIT AND Apache-2.0 AND Public Domain AND BSD-3-Clause AND ISC
URL:            https://pdm.fming.dev
Source0:        %{pypi_source pdm-pep517}

BuildArch:      noarch

BuildRequires:  python3-devel python3-setuptools
BuildRequires:  gcc
BuildRequires:  git
BuildRequires:  pytest

%global _description %{expand:
This is the backend for PDM projects, while you can also use it alone. It
reads the metadata of PEP 621 format and coverts it to Core metadata.
}

%description %_description

%package -n python3-pdm-pep517
Summary: %{summary}

%description -n python3-pdm-pep517 %_description

%prep
%autosetup -p1 -n pdm-pep517-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pdm

echo "%%{python3_sitelib}/pdm_pep517-%{version}.dist-info/licenses/LICENSE" >> %{pyproject_files}

%check
git config --global user.email "you@example.com"
git config --global user.name "Your Name"

%pytest

%files -n python3-pdm-pep517 -f %{pyproject_files}
%license LICENSE

%changelog
* Sat May 06 2023 Funda Wang <fundawang@yeah.net> - 1.0.5-1
- Import package for anolis 23
